/* Datei:  comsf_lcd.h
 * Author: gkemnitz
 * Datum:  29.10.2015
 *
 * Header für den Gerätetreiber comsf_lcd
 *
 * PModLS an JD oben
 */ 

#ifndef COMSF_LCD_H_
#define COMSF_LCD_H_

#include <avr/io.h>

 void lcd_init(uint8_t *text); // LCD-Objekt initialisieren
 void lcd_step();              // Schrittfunktion
 void lcd_incErr(uint8_t pos); // Fehlerzähler erhöhen
 // Zeichen auf LCD ausgeben
 void lcd_disp_chr(uint8_t c, uint8_t pos);
 // Text auf LCD ausgeben
 void lcd_disp_str(uint8_t *str, uint8_t pos, uint8_t len);
 // Zahl auf LCD ausgeben
 void lcd_disp_val(uint32_t val, uint8_t pos, uint8_t len);
 
#endif /* COMSF_LCD_H_ */
